' Catalog of web servers Document Root
'
' Profile-Based Web Intrusion Prevention System
' by Donovan Thorpe
' CS526 Fall 2002
' Dr. Chow
'
Dim strPath   'Path of directory to show
Dim objFSO    'FileSystemObject variable
Dim objFolder 'Folder variable
Dim objItem   'Variable used to loop through the contents of the folder

QT = CHR(34)

strPath = "./"
pathc = "/"
StartPath = "N:\frontpage"
wsFN = "rules.txt"
wsname = "web.uccs.edu"

Set objFSO = CreateObject("Scripting.FileSystemObject")
Set objFolder = objFSO.GetFolder(StartPath)
Set ws = objFSO.OpenTextFile(wsFN, 8, True, 0)

'First Case
ws.WriteLine("if (strstr(url," & QT & "/" & QT & ") != NULL){")
ws.WriteLine("    return route_to(" & QT & wsname & QT & ",NON_STICKY,saddr);}")

For Each objItem In objFolder.SubFolders
 If InStr(1, objItem, "_vti", 1) = 0 Then
  If InStr(1, objItem, "_priv", 1) = 0 Then
    If InStr(1, objItem, "_backup", 1) = 0 Then
       'Normal Case
       ws.WriteLine("else if (strstr(url," & QT & objItem.Name & "/" & QT & ") != NULL){")
       ws.WriteLine("    return route_to(" & QT & wsname & QT & ",NON_STICKY,saddr);}")
    End If
  End If
 End If
Next 'objItem

'Default Case
ws.WriteLine("else {")
ws.WriteLine("    return route_to(" & QT & "reject" & QT & ",NON_STICKY,saddr);}")
ws.WriteLine("} /* END rule_configure() */")

ws.Close

Set objItem = Nothing
Set objFolder = Nothing
Set objFSO = Nothing
